> ## Documentation Index
> Fetch the complete documentation index at: https://www.dataframer.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List runs

> Get all runs for the user's company, ordered by creation time (newest first)



## OpenAPI

````yaml GET /api/dataframer/runs/
openapi: 3.0.0
info:
  title: DataFramer API
  version: 0.1.0
  description: ''
  termsOfService: https://www.aimon.ai/docs/privacy-policy.pdf
  contact:
    name: DataFramer Support
    email: info@dataframer.ai
  license:
    name: Proprietary
  x-logo:
    url: https://dataframer.ai/logo.png
    altText: DataFramer AI
  x-stainless:
    package-name: aimon-dataframer
    namespace:
      - aimon
      - dataframer
servers:
  - url: https://df-api.dataframer.ai
    description: Production server
security:
  - BearerAuth: []
externalDocs:
  description: Complete API Guide
  url: https://docs.dataframer.ai/dataframer
paths:
  /api/dataframer/runs/:
    get:
      summary: List runs
      description: List all generation runs for your company, newest first.
      operationId: api_dataframer_runs_list
      responses:
        '200':
          description: List of runs
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RunList'
        '401':
          description: Unauthorized
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from dataframer import Dataframer

            client = Dataframer(
                api_key=os.environ.get("DATAFRAMER_API_KEY"),  # This is the default and can be omitted
            )
            runs = client.dataframer.runs.list()
            print(runs)
        - lang: cURL
          source: |-
            curl https://df-api.dataframer.ai/api/dataframer/runs/ \
                -H "Authorization: Bearer $DATAFRAMER_API_KEY"
components:
  schemas:
    RunList:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the run
        status:
          type: string
          enum:
            - PENDING
            - PROCESSING
            - SUCCEEDED
            - FAILED
            - CANCELED
          description: Current status of the run
        spec_id:
          type: string
          format: uuid
          description: ID of the spec used
        spec_name:
          type: string
          description: Name of the spec
        spec_version:
          type: integer
          description: Version number of the spec used
        dataset_id:
          type: string
          format: uuid
          nullable: true
          description: ID of the seed dataset (null for seedless specs)
        dataset_name:
          type: string
          nullable: true
          description: Name of the seed dataset (null for seedless specs)
        dataset_type:
          type: string
          enum:
            - SINGLE_FILE
            - MULTI_FILE
            - MULTI_FOLDER
          description: Type of dataset
        samples_completed:
          type: integer
          description: Number of samples successfully generated
        samples_failed:
          type: integer
          description: Number of samples that failed to generate
        total_cost:
          type: number
          nullable: true
          description: Total cost of the run in dollars
        created_at:
          type: string
          format: date-time
          description: When the run was created
        created_by_email:
          type: string
          description: Email of the user who created the run
        completed_at:
          type: string
          format: date-time
          nullable: true
          description: When the run completed (null if not finished)
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API Key authentication. Format: "Bearer YOUR_API_KEY"'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.